GCLOUD_ML-ENGINE_VERSIONS_CREATE(1)

NAME

gcloud ml-engine versions create - create a new Cloud ML Engine version

SYNOPSIS

gcloud ml-engine versions create VERSION --model=MODEL [--async] [--config=CONFIG] [--origin=ORIGIN] [--runtime-version=RUNTIME_VERSION] [--staging-bucket=STAGING_BUCKET] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Creates a new version of a Cloud ML Engine model. For more details on managing ML Engine models and versions see <https://cloud.google.com/ml-engine/docs/how-tos/managing-models-jobs>

POSITIONAL ARGUMENTS

    VERSION
        Name of the model version.

REQUIRED FLAGS

    --model=MODEL
        Name of the model.

OPTIONAL FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

    --config=CONFIG
        Path to a YAML configuration file containing configuration parameters for the Version (https://cloud.google.com/ml/reference/rest/v1/projects.models.versions) to create. The file is in YAML format. Note that not all attributes of a Version are configurable; available attributes (with example values) are:
        description: A free-form description of the version. deploymentUri: gs://path/to/source runtimeVersion: '1.0' manualScaling:
          nodes: 10 # The number of nodes to allocate for this model.
    The name of the version must always be specified via the required VERSION argument. If an option is specified both in the configuration file and via command line arguments, the command line arguments override the configuration file.

    --origin=ORIGIN
        Location of model/ "directory" (as output by https://www.tensorflow.org/versions/r0.12/api_docs/python/state_ops.html#Saver). This overrides deploymentUri in the --config file. If this flag is not passed, deploymentUri must be specified in the file from --config. Can be a Google Cloud Storage (gs://) path or local file path (no prefix). In the latter case the files will be uploaded to Google Cloud Storage and a --staging-bucket argument is required.

    --runtime-version=RUNTIME_VERSION
        The Google Cloud ML Engine runtime version for this job. Defaults to the latest stable version. See https://cloud.google.com/ml/docs/concepts/runtime-version-list for a list of accepted versions.

    --staging-bucket=STAGING_BUCKET
        Bucket in which to stage training archives. Required only if a file upload is necessary (that is, other flags include local paths) and no other flags implicitly specify an upload path.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.